Bug 888312 - Wrong auto-generated disk aliases when importing a VM with no alias
Wrong auto-generated disk aliases when importing a VM with no alias
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
All All
unspecified Severity unspecified
: ---
: 3.1.3
Assigned To: Allon Mureinik
Dafna Ron
storage
: ZStream
Depends On: 882616
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 08:43 EST by Idith Tal-Kohen
Modified: 2016-02-10 14:00 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when ImportVmCommand auto-generated the disks' aliases, it assigned them all the same alias, vmName_DiskN, where N was the number of disks attached to the imported virtual machine. This has been corrected so that each disk is given a different alias, starting with VmName_Disk1 up to VmName_DiskN.
Story Points: ---
Clone Of: 882616
Environment:
Last Closed: 2013-02-25 07:21:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Idith Tal-Kohen 2012-12-18 08:43:01 EST
+++ This bug was initially created as a clone of Bug #882616 +++

Description of problem:
When a VM is imported from an OVF that does not contain disk aliases, the ImprotVM command auto-generates aliases. 
However, these aliases are not generated correctly. For a VM with N disks, the aliases should be VmName_Disk1, VmName_Disk2, etc. up to VmName_DiskN.
Instead, ALL the disks are called VmName_DiskN.

Note that when an OVF is created by exporting a VM from 3.1, it will have disk aliases, so this bug will not be relevant.
However, OVFs exported from 3.0, or created by ESXi 5.1 and then translated with v2v will have this issue.

Version-Release number of selected component (if applicable):
3.1

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with 3 disks.
2. Manually edit the OVF, and remove the disk:alias properties (see explanation above).
3. Remove the original VM
4. Import the OVF
  
Actual results:
All the disks will have the alias VmName_Disk3.

Expected results:
The disks should have the following aliases: VmName_Disk1, VmName_Disk2 and VmName_Disk3.

Additional info:

--- Additional comment from Allon Mureinik on 2012-12-02 09:37:24 EST ---

Sent patch Ibdd6525529d3d5e0c8ee2c86b418562929118207 for review:
http://gerrit.ovirt.org/#/c/9629/

--- Additional comment from Allon Mureinik on 2012-12-18 06:36:45 EST ---

Merged upstream.
Comment 3 Dafna Ron 2013-02-11 06:54:15 EST
verified on sf27

Note You need to log in before you can comment on or make changes to this bug.